.\" Man page generated from reStructuredText.
.
.TH "ANNOUNCE" "1" "Jun 17, 2024" "3.43.2" "OCI CLI Command Reference"
.SH NAME
announce \- 
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH DESCRIPTION
.sp
Manage Oracle Cloud Infrastructure console announcements.
.SH AVAILABLE COMMANDS
.INDENT 0.0
.IP \(bu 2
announcement\-subscription
.INDENT 2.0
.IP \(bu 2
change\-compartment
.IP \(bu 2
create
.IP \(bu 2
create\-filter\-group
.IP \(bu 2
delete
.IP \(bu 2
delete\-filter\-group
.IP \(bu 2
get
.IP \(bu 2
list
.IP \(bu 2
update
.IP \(bu 2
update\-filter\-group
.UNINDENT
.IP \(bu 2
announcements
.INDENT 2.0
.IP \(bu 2
get
.IP \(bu 2
list
.UNINDENT
.IP \(bu 2
announcements\-preferences
.INDENT 2.0
.IP \(bu 2
create
.IP \(bu 2
get
.IP \(bu 2
list
.IP \(bu 2
update
.UNINDENT
.IP \(bu 2
user\-status
.INDENT 2.0
.IP \(bu 2
get
.IP \(bu 2
update
.UNINDENT
.UNINDENT
.SS announcement\-subscription
.SS Description
.sp
Manage Oracle Cloud Infrastructure console announcements.
.SS Available Commands
.INDENT 0.0
.IP \(bu 2
change\-compartment
.IP \(bu 2
create
.IP \(bu 2
create\-filter\-group
.IP \(bu 2
delete
.IP \(bu 2
delete\-filter\-group
.IP \(bu 2
get
.IP \(bu 2
list
.IP \(bu 2
update
.IP \(bu 2
update\-filter\-group
.UNINDENT
.SS \fBchange\-compartment\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Moves the specified announcement subscription from one compartment to another compartment. When provided, If\-Match is checked against ETag values of the resource.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcement\-subscription change\-compartment [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-subscription\-id [text]
.UNINDENT
.sp
The OCID of the announcement subscription.
.INDENT 0.0
.TP
.B \-\-compartment\-id, \-c [text]
.UNINDENT
.sp
The \fI\%OCID\fP <\fBhttps://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm\fP> of the compartment into which you want to move the announcement subscription.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-if\-match [text]
.UNINDENT
.sp
The locking version, used for optimistic concurrency control.
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-compartment\-id
    export display_name=<substitute\-value\-of\-display_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-display\-name
    export ons_topic_id=<substitute\-value\-of\-ons_topic_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-ons\-topic\-id

    announcement_subscription_id=$(oci announce announcement\-subscription create \-\-compartment\-id $compartment_id \-\-display\-name $display_name \-\-ons\-topic\-id $ons_topic_id \-\-query data.id \-\-raw\-output)

    oci announce announcement\-subscription change\-compartment \-\-announcement\-subscription\-id $announcement_subscription_id \-\-compartment\-id $compartment_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBcreate\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Creates a new announcement subscription.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcement\-subscription create [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-compartment\-id, \-c [text]
.UNINDENT
.sp
The \fI\%OCID\fP <\fBhttps://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm\fP> of the compartment where you want to create the announcement subscription.
.INDENT 0.0
.TP
.B \-\-display\-name [text]
.UNINDENT
.sp
A user\-friendly name for the announcement subscription. Does not have to be unique, and it’s changeable. Avoid entering confidential information.
.INDENT 0.0
.TP
.B \-\-ons\-topic\-id [text]
.UNINDENT
.sp
The OCID of the Notifications service topic that is the target for publishing announcements that match the configured announcement subscription. The caller of the operation needs the ONS_TOPIC_PUBLISH permission for the targeted Notifications service topic. For more information about Notifications permissions, see \fI\%Details for Notifications\fP <\fBhttps://docs.cloud.oracle.com/Content/Identity/policyreference/notificationpolicyreference.htm\fP>\&.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-defined\-tags [complex type]
.UNINDENT
.sp
Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: \fI{“foo\-namespace”: {“bar\-key”: “value”}}\fP
This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using
the \fI\%file://path/to/file\fP syntax.
.sp
The \fB\-\-generate\-param\-json\-input\fP option can be used to generate an example of the JSON which must be provided. We recommend storing this example
in a file, modifying it as needed and then passing it back in via the \fI\%file://\fP syntax.
.INDENT 0.0
.TP
.B \-\-description [text]
.UNINDENT
.sp
A description of the announcement subscription. Avoid entering confidential information.
.INDENT 0.0
.TP
.B \-\-filter\-groups [complex type]
.UNINDENT
.sp
A list of filter groups for the announcement subscription. A filter group combines one or more filters that the Announcements service applies to announcements for matching purposes.
.sp
This option is a JSON dictionary of type dict(str, FilterGroupDetails).  For documentation on FilterGroupDetails please see our API reference: \fI\%https://docs.cloud.oracle.com/api/#/en/announcementsubscription/0.0.1/datatypes/FilterGroupDetails\fP\&.
This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using
the \fI\%file://path/to/file\fP syntax.
.sp
The \fB\-\-generate\-param\-json\-input\fP option can be used to generate an example of the JSON which must be provided. We recommend storing this example
in a file, modifying it as needed and then passing it back in via the \fI\%file://\fP syntax.
.INDENT 0.0
.TP
.B \-\-freeform\-tags [complex type]
.UNINDENT
.sp
Simple key\-value pair that is applied without any predefined name, type or scope. Exists for cross\-compatibility only. Example: \fI{“bar\-key”: “value”}\fP
This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using
the \fI\%file://path/to/file\fP syntax.
.sp
The \fB\-\-generate\-param\-json\-input\fP option can be used to generate an example of the JSON which must be provided. We recommend storing this example
in a file, modifying it as needed and then passing it back in via the \fI\%file://\fP syntax.
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-max\-wait\-seconds [integer]
.UNINDENT
.sp
The maximum time to wait for the resource to reach the lifecycle state defined by \fB\-\-wait\-for\-state\fP\&. Defaults to 1200 seconds.
.INDENT 0.0
.TP
.B \-\-preferred\-language [text]
.UNINDENT
.sp
(For announcement subscriptions with SaaS configured as the platform type or Oracle Fusion Applications as the service, or both, only) The language in which the user prefers to receive emailed announcements. Specify the preference with a value that uses the x\-obmcs\-human\-language format. For example fr\-FR.
.INDENT 0.0
.TP
.B \-\-preferred\-time\-zone [text]
.UNINDENT
.sp
The time zone in which the user prefers to receive announcements. Specify the preference with a value that uses the IANA Time Zone Database format (x\-obmcs\-time\-zone). For example \- America/Los_Angeles
.INDENT 0.0
.TP
.B \-\-wait\-for\-state [text]
.UNINDENT
.sp
This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, \fB\-\-wait\-for\-state\fP SUCCEEDED \fB\-\-wait\-for\-state\fP FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
ACTIVE, DELETED, FAILED
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-wait\-interval\-seconds [integer]
.UNINDENT
.sp
Check every \fB\-\-wait\-interval\-seconds\fP to see whether the resource has reached the lifecycle state defined by \fB\-\-wait\-for\-state\fP\&. Defaults to 30 seconds.
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-compartment\-id
    export display_name=<substitute\-value\-of\-display_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-display\-name
    export ons_topic_id=<substitute\-value\-of\-ons_topic_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-ons\-topic\-id

    oci announce announcement\-subscription create \-\-compartment\-id $compartment_id \-\-display\-name $display_name \-\-ons\-topic\-id $ons_topic_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBcreate\-filter\-group\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Creates a new filter group in the specified announcement subscription.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcement\-subscription create\-filter\-group [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-subscription\-id [text]
.UNINDENT
.sp
The OCID of the announcement subscription.
.INDENT 0.0
.TP
.B \-\-filters [complex type]
.UNINDENT
.sp
A list of filters against which the Announcements service will match announcements. You cannot have more than one of any given filter type within a filter group.
This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using
the \fI\%file://path/to/file\fP syntax.
.sp
The \fB\-\-generate\-param\-json\-input\fP option can be used to generate an example of the JSON which must be provided. We recommend storing this example
in a file, modifying it as needed and then passing it back in via the \fI\%file://\fP syntax.
.INDENT 0.0
.TP
.B \-\-name [text]
.UNINDENT
.sp
The name of the filter group. The name must be unique and it cannot be changed. Avoid entering confidential information.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-if\-match [text]
.UNINDENT
.sp
The locking version, used for optimistic concurrency control.
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy and paste the following example into a JSON file, replacing the example parameters with your own.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    oci announce announcement\-subscription create\-filter\-group \-\-generate\-param\-json\-input filters > filters.json
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-compartment\-id
    export display_name=<substitute\-value\-of\-display_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-display\-name
    export ons_topic_id=<substitute\-value\-of\-ons_topic_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-ons\-topic\-id

    announcement_subscription_id=$(oci announce announcement\-subscription create \-\-compartment\-id $compartment_id \-\-display\-name $display_name \-\-ons\-topic\-id $ons_topic_id \-\-query data.id \-\-raw\-output)

    oci announce announcement\-subscription create\-filter\-group \-\-announcement\-subscription\-id $announcement_subscription_id \-\-filters file://filters.json \-\-name $name
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBdelete\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Deletes the specified announcement subscription.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcement\-subscription delete [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-subscription\-id [text]
.UNINDENT
.sp
The OCID of the announcement subscription.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-force
.UNINDENT
.sp
Perform deletion without prompting for confirmation.
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-if\-match [text]
.UNINDENT
.sp
The locking version, used for optimistic concurrency control.
.INDENT 0.0
.TP
.B \-\-max\-wait\-seconds [integer]
.UNINDENT
.sp
The maximum time to wait for the resource to reach the lifecycle state defined by \fB\-\-wait\-for\-state\fP\&. Defaults to 1200 seconds.
.INDENT 0.0
.TP
.B \-\-wait\-for\-state [text]
.UNINDENT
.sp
This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, \fB\-\-wait\-for\-state\fP SUCCEEDED \fB\-\-wait\-for\-state\fP FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
ACTIVE, DELETED, FAILED
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-wait\-interval\-seconds [integer]
.UNINDENT
.sp
Check every \fB\-\-wait\-interval\-seconds\fP to see whether the resource has reached the lifecycle state defined by \fB\-\-wait\-for\-state\fP\&. Defaults to 30 seconds.
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-compartment\-id
    export display_name=<substitute\-value\-of\-display_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-display\-name
    export ons_topic_id=<substitute\-value\-of\-ons_topic_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-ons\-topic\-id

    announcement_subscription_id=$(oci announce announcement\-subscription create \-\-compartment\-id $compartment_id \-\-display\-name $display_name \-\-ons\-topic\-id $ons_topic_id \-\-query data.id \-\-raw\-output)

    oci announce announcement\-subscription delete \-\-announcement\-subscription\-id $announcement_subscription_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBdelete\-filter\-group\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Deletes a filter group in the specified announcement subscription.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcement\-subscription delete\-filter\-group [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-subscription\-id [text]
.UNINDENT
.sp
The OCID of the announcement subscription.
.INDENT 0.0
.TP
.B \-\-filter\-group\-name [text]
.UNINDENT
.sp
The name of the filter group.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-force
.UNINDENT
.sp
Perform deletion without prompting for confirmation.
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-if\-match [text]
.UNINDENT
.sp
The locking version, used for optimistic concurrency control.
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-compartment\-id
    export display_name=<substitute\-value\-of\-display_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-display\-name
    export ons_topic_id=<substitute\-value\-of\-ons_topic_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-ons\-topic\-id
    export filter_group_name=<substitute\-value\-of\-filter_group_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/delete\-filter\-group.html#cmdoption\-filter\-group\-name

    announcement_subscription_id=$(oci announce announcement\-subscription create \-\-compartment\-id $compartment_id \-\-display\-name $display_name \-\-ons\-topic\-id $ons_topic_id \-\-query data.id \-\-raw\-output)

    oci announce announcement\-subscription delete\-filter\-group \-\-announcement\-subscription\-id $announcement_subscription_id \-\-filter\-group\-name $filter_group_name
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBget\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Gets the specified announcement subscription.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcement\-subscription get [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-subscription\-id [text]
.UNINDENT
.sp
The OCID of the announcement subscription.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-compartment\-id
    export display_name=<substitute\-value\-of\-display_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-display\-name
    export ons_topic_id=<substitute\-value\-of\-ons_topic_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-ons\-topic\-id

    announcement_subscription_id=$(oci announce announcement\-subscription create \-\-compartment\-id $compartment_id \-\-display\-name $display_name \-\-ons\-topic\-id $ons_topic_id \-\-query data.id \-\-raw\-output)

    oci announce announcement\-subscription get \-\-announcement\-subscription\-id $announcement_subscription_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBlist\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Gets a list of all announcement subscriptions in the specified compartment.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcement\-subscription list [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-compartment\-id, \-c [text]
.UNINDENT
.sp
The OCID of the compartment.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-all
.UNINDENT
.sp
Fetches all pages of results. If you provide this option, then you cannot provide the \fB\-\-limit\fP option.
.INDENT 0.0
.TP
.B \-\-display\-name [text]
.UNINDENT
.sp
A filter to return only resources that match the entire display name given.
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-id [text]
.UNINDENT
.sp
The OCID of the announcement subscription.
.INDENT 0.0
.TP
.B \-\-lifecycle\-state [text]
.UNINDENT
.sp
A filter to return only announcement subscriptions that match the given lifecycle state.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
ACTIVE, DELETED, FAILED
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-limit [integer]
.UNINDENT
.sp
The maximum number of items to return in a paginated “List” call.
.INDENT 0.0
.TP
.B \-\-page [text]
.UNINDENT
.sp
The value of the \fIopc\-next\-page\fP response header from the previous “List” call.
.INDENT 0.0
.TP
.B \-\-page\-size [integer]
.UNINDENT
.sp
When fetching results, the number of results to fetch per call. Only valid when used with \fB\-\-all\fP or \fB\-\-limit\fP, and ignored otherwise.
.INDENT 0.0
.TP
.B \-\-sort\-by [text]
.UNINDENT
.sp
The criteria to sort by. You can specify only one sort order. The default sort order for the creation date of resources is descending. The default sort order for display names is ascending.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
displayName, timeCreated
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-sort\-order [text]
.UNINDENT
.sp
The sort order to use, whether ascending (‘ASC’) or descending (‘DESC’).
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
ASC, DESC
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/list.html#cmdoption\-compartment\-id

    oci announce announcement\-subscription list \-\-compartment\-id $compartment_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBupdate\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Updates the specified announcement subscription.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcement\-subscription update [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-subscription\-id [text]
.UNINDENT
.sp
The OCID of the announcement subscription.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-defined\-tags [complex type]
.UNINDENT
.sp
Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: \fI{“foo\-namespace”: {“bar\-key”: “value”}}\fP
This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using
the \fI\%file://path/to/file\fP syntax.
.sp
The \fB\-\-generate\-param\-json\-input\fP option can be used to generate an example of the JSON which must be provided. We recommend storing this example
in a file, modifying it as needed and then passing it back in via the \fI\%file://\fP syntax.
.INDENT 0.0
.TP
.B \-\-description [text]
.UNINDENT
.sp
A description of the announcement subscription. Avoid entering confidential information.
.INDENT 0.0
.TP
.B \-\-display\-name [text]
.UNINDENT
.sp
A user\-friendly name for the announcement subscription. Does not have to be unique, and it’s changeable. Avoid entering confidential information.
.INDENT 0.0
.TP
.B \-\-force
.UNINDENT
.sp
Perform update without prompting for confirmation.
.INDENT 0.0
.TP
.B \-\-freeform\-tags [complex type]
.UNINDENT
.sp
Simple key\-value pair that is applied without any predefined name, type or scope. Exists for cross\-compatibility only. Example: \fI{“bar\-key”: “value”}\fP
This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using
the \fI\%file://path/to/file\fP syntax.
.sp
The \fB\-\-generate\-param\-json\-input\fP option can be used to generate an example of the JSON which must be provided. We recommend storing this example
in a file, modifying it as needed and then passing it back in via the \fI\%file://\fP syntax.
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-if\-match [text]
.UNINDENT
.sp
The locking version, used for optimistic concurrency control.
.INDENT 0.0
.TP
.B \-\-max\-wait\-seconds [integer]
.UNINDENT
.sp
The maximum time to wait for the resource to reach the lifecycle state defined by \fB\-\-wait\-for\-state\fP\&. Defaults to 1200 seconds.
.INDENT 0.0
.TP
.B \-\-ons\-topic\-id [text]
.UNINDENT
.sp
The \fI\%OCID\fP <\fBhttps://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm\fP> of the Notifications service topic that is the target for publishing announcements that match the configured announcement subscription. The caller of the operation needs the ONS_TOPIC_PUBLISH permission for the targeted Notifications service topic. For more information about Notifications permissions, see \fI\%Details for Notifications\fP <\fBhttps://docs.cloud.oracle.com/Content/Identity/policyreference/notificationpolicyreference.htm\fP>\&.
.INDENT 0.0
.TP
.B \-\-preferred\-language [text]
.UNINDENT
.sp
(For announcement subscriptions with SaaS configured as the platform type or Oracle Fusion Applications as the service, or both, only) The language in which the user prefers to receive emailed announcements. Specify the preference with a value that uses the x\-obmcs\-human\-language format. For example fr\-FR.
.INDENT 0.0
.TP
.B \-\-preferred\-time\-zone [text]
.UNINDENT
.sp
The time zone in which the user prefers to receive announcements. Specify the preference with a value that uses the IANA Time Zone Database format (x\-obmcs\-time\-zone). For example \- America/Los_Angeles
.INDENT 0.0
.TP
.B \-\-wait\-for\-state [text]
.UNINDENT
.sp
This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, \fB\-\-wait\-for\-state\fP SUCCEEDED \fB\-\-wait\-for\-state\fP FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
ACTIVE, DELETED, FAILED
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-wait\-interval\-seconds [integer]
.UNINDENT
.sp
Check every \fB\-\-wait\-interval\-seconds\fP to see whether the resource has reached the lifecycle state defined by \fB\-\-wait\-for\-state\fP\&. Defaults to 30 seconds.
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-compartment\-id
    export display_name=<substitute\-value\-of\-display_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-display\-name
    export ons_topic_id=<substitute\-value\-of\-ons_topic_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-ons\-topic\-id

    announcement_subscription_id=$(oci announce announcement\-subscription create \-\-compartment\-id $compartment_id \-\-display\-name $display_name \-\-ons\-topic\-id $ons_topic_id \-\-query data.id \-\-raw\-output)

    oci announce announcement\-subscription update \-\-announcement\-subscription\-id $announcement_subscription_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBupdate\-filter\-group\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Updates a filter group in the specified announcement subscription.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcement\-subscription update\-filter\-group [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-subscription\-id [text]
.UNINDENT
.sp
The OCID of the announcement subscription.
.INDENT 0.0
.TP
.B \-\-filter\-group\-name [text]
.UNINDENT
.sp
The name of the filter group.
.INDENT 0.0
.TP
.B \-\-filters [complex type]
.UNINDENT
.sp
A list of filters against which the Announcements service will match announcements. You cannot combine the RESOURCE_ID filter with any other type of filter within a given filter group. For filter types that support multiple values, specify the values individually.
This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using
the \fI\%file://path/to/file\fP syntax.
.sp
The \fB\-\-generate\-param\-json\-input\fP option can be used to generate an example of the JSON which must be provided. We recommend storing this example
in a file, modifying it as needed and then passing it back in via the \fI\%file://\fP syntax.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-force
.UNINDENT
.sp
Perform update without prompting for confirmation.
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-if\-match [text]
.UNINDENT
.sp
The locking version, used for optimistic concurrency control.
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy and paste the following example into a JSON file, replacing the example parameters with your own.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    oci announce announcement\-subscription update\-filter\-group \-\-generate\-param\-json\-input filters > filters.json
.ft P
.fi
.UNINDENT
.UNINDENT
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-compartment\-id
    export display_name=<substitute\-value\-of\-display_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-display\-name
    export ons_topic_id=<substitute\-value\-of\-ons_topic_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/create.html#cmdoption\-ons\-topic\-id
    export filter_group_name=<substitute\-value\-of\-filter_group_name> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcement\-subscription/update\-filter\-group.html#cmdoption\-filter\-group\-name

    announcement_subscription_id=$(oci announce announcement\-subscription create \-\-compartment\-id $compartment_id \-\-display\-name $display_name \-\-ons\-topic\-id $ons_topic_id \-\-query data.id \-\-raw\-output)

    oci announce announcement\-subscription update\-filter\-group \-\-announcement\-subscription\-id $announcement_subscription_id \-\-filter\-group\-name $filter_group_name \-\-filters file://filters.json
.ft P
.fi
.UNINDENT
.UNINDENT
.SS announcements
.SS Description
.sp
An announcement represents a message targetted to a specific tenant.
.SS Available Commands
.INDENT 0.0
.IP \(bu 2
get
.IP \(bu 2
list
.UNINDENT
.SS \fBget\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Gets the details of a specific announcement.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcements get [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-id [text]
.UNINDENT
.sp
The OCID of the announcement.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export announcement_id=<substitute\-value\-of\-announcement_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcements/get.html#cmdoption\-announcement\-id

    oci announce announcements get \-\-announcement\-id $announcement_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBlist\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Gets a list of announcements for the current tenancy.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcements list [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-compartment\-id, \-c [text]
.UNINDENT
.sp
The OCID of the compartment.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-all
.UNINDENT
.sp
Fetches all pages of results. If you provide this option, then you cannot provide the \fB\-\-limit\fP option.
.INDENT 0.0
.TP
.B \-\-announcement\-type [text]
.UNINDENT
.sp
The type of announcement.
.INDENT 0.0
.TP
.B \-\-chain\-id [text]
.UNINDENT
.sp
A filter to return only announcements belonging to the specified announcement chain ID.
.INDENT 0.0
.TP
.B \-\-environment\-name [text]
.UNINDENT
.sp
A filter to return only announcements that match a specific environment name.
.INDENT 0.0
.TP
.B \-\-exclude\-announcement\-types [text]
.UNINDENT
.sp
Exclude The type of announcement.
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-is\-banner [boolean]
.UNINDENT
.sp
Whether the announcement is displayed as a console banner.
.INDENT 0.0
.TP
.B \-\-lifecycle\-state [text]
.UNINDENT
.sp
The announcement’s current lifecycle state.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
ACTIVE, INACTIVE
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-limit [integer]
.UNINDENT
.sp
The maximum number of items to return in a paginated “List” call.
.INDENT 0.0
.TP
.B \-\-page [text]
.UNINDENT
.sp
The value of the \fIopc\-next\-page\fP response header from the previous “List” call.
.INDENT 0.0
.TP
.B \-\-page\-size [integer]
.UNINDENT
.sp
When fetching results, the number of results to fetch per call. Only valid when used with \fB\-\-all\fP or \fB\-\-limit\fP, and ignored otherwise.
.INDENT 0.0
.TP
.B \-\-platform\-type [text]
.UNINDENT
.sp
A filter to return only announcements affecting a specific platform.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
IAAS, SAAS
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-service [text]
.UNINDENT
.sp
A filter to return only announcements affecting a specific service.
.INDENT 0.0
.TP
.B \-\-should\-show\-only\-latest\-in\-chain [boolean]
.UNINDENT
.sp
A filter to display only the latest announcement in a chain.
.INDENT 0.0
.TP
.B \-\-sort\-by [text]
.UNINDENT
.sp
The criteria to sort by. You can specify only one sort order.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
announcementType, referenceTicketNumber, summary, timeCreated, timeOneValue, timeTwoValue
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-sort\-order [text]
.UNINDENT
.sp
The sort order to use. (Sorting by \fIannouncementType\fP orders the announcements list according to importance.)
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
ASC, DESC
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-time\-one\-earliest\-time [datetime]
.UNINDENT
.sp
The boundary for the earliest \fItimeOneValue\fP date on announcements that you want to see.
.INDENT 0.0
.INDENT 3.5
The following datetime formats are supported:
.UNINDENT
.UNINDENT
.SS UTC with microseconds
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
Format: YYYY\-MM\-DDTHH:mm:ss.ssssssTZD
Example: 2017\-09\-15T20:30:00.123456Z

UTC with milliseconds
***********************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ss.sssTZD
    Example: 2017\-09\-15T20:30:00.123Z

UTC without milliseconds
**************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ssTZD
    Example: 2017\-09\-15T20:30:00Z

UTC with minute precision
**************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mmTZD
    Example: 2017\-09\-15T20:30Z
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Timezone with microseconds
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
Format: YYYY\-MM\-DDTHH:mm:ssTZD
Example: 2017\-09\-15T12:30:00.456789\-08:00, 2017\-09\-15T12:30:00.456789\-0800

Timezone with milliseconds
***************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ssTZD
    Example: 2017\-09\-15T12:30:00.456\-08:00, 2017\-09\-15T12:30:00.456\-0800

Timezone without milliseconds
*******************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ssTZD
    Example: 2017\-09\-15T12:30:00\-08:00, 2017\-09\-15T12:30:00\-0800

Timezone with minute precision
*******************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mmTZD
    Example: 2017\-09\-15T12:30\-08:00, 2017\-09\-15T12:30\-0800

Short date and time
********************
The timezone for this date and time will be taken as UTC (Needs to be surrounded by single or double quotes)

\&.. code::

    Format: \(aqYYYY\-MM\-DD HH:mm\(aq or "YYYY\-MM\-DD HH:mm"
    Example: \(aq2017\-09\-15 17:25\(aq

Date Only
**********
This date will be taken as midnight UTC of that day

\&.. code::

    Format: YYYY\-MM\-DD
    Example: 2017\-09\-15

Epoch seconds
**************
\&.. code::

    Example: 1412195400
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-time\-one\-latest\-time [datetime]
.UNINDENT
.sp
The boundary for the latest \fItimeOneValue\fP date on announcements that you want to see.
.INDENT 0.0
.INDENT 3.5
The following datetime formats are supported:
.UNINDENT
.UNINDENT
.SS UTC with microseconds
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
Format: YYYY\-MM\-DDTHH:mm:ss.ssssssTZD
Example: 2017\-09\-15T20:30:00.123456Z

UTC with milliseconds
***********************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ss.sssTZD
    Example: 2017\-09\-15T20:30:00.123Z

UTC without milliseconds
**************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ssTZD
    Example: 2017\-09\-15T20:30:00Z

UTC with minute precision
**************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mmTZD
    Example: 2017\-09\-15T20:30Z
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Timezone with microseconds
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
Format: YYYY\-MM\-DDTHH:mm:ssTZD
Example: 2017\-09\-15T12:30:00.456789\-08:00, 2017\-09\-15T12:30:00.456789\-0800

Timezone with milliseconds
***************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ssTZD
    Example: 2017\-09\-15T12:30:00.456\-08:00, 2017\-09\-15T12:30:00.456\-0800

Timezone without milliseconds
*******************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ssTZD
    Example: 2017\-09\-15T12:30:00\-08:00, 2017\-09\-15T12:30:00\-0800

Timezone with minute precision
*******************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mmTZD
    Example: 2017\-09\-15T12:30\-08:00, 2017\-09\-15T12:30\-0800

Short date and time
********************
The timezone for this date and time will be taken as UTC (Needs to be surrounded by single or double quotes)

\&.. code::

    Format: \(aqYYYY\-MM\-DD HH:mm\(aq or "YYYY\-MM\-DD HH:mm"
    Example: \(aq2017\-09\-15 17:25\(aq

Date Only
**********
This date will be taken as midnight UTC of that day

\&.. code::

    Format: YYYY\-MM\-DD
    Example: 2017\-09\-15

Epoch seconds
**************
\&.. code::

    Example: 1412195400
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcements/list.html#cmdoption\-compartment\-id

    oci announce announcements list \-\-compartment\-id $compartment_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS announcements\-preferences
.SS Description
.sp
Manage Oracle Cloud Infrastructure console announcements.
.SS Available Commands
.INDENT 0.0
.IP \(bu 2
create
.IP \(bu 2
get
.IP \(bu 2
list
.IP \(bu 2
update
.UNINDENT
.SS \fBcreate\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Creates a request that specifies preferences for the tenancy regarding receiving announcements by email.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcements\-preferences create [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-preference\-type [text]
.UNINDENT
.sp
The string representing the user’s preference, whether to opt in to only required announcements, to opt in to all announcements, including informational announcements, or to opt out of all announcements.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
OPT_IN_TENANT_AND_INFORMATIONAL_ANNOUNCEMENTS, OPT_IN_TENANT_ANNOUNCEMENTS, OPT_OUT_ALL_ANNOUNCEMENTS
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-type [text]
.UNINDENT
.sp
The entity type, which specifies a model that either creates new announcement email preferences or updates existing preferences.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-compartment\-id, \-c [text]
.UNINDENT
.sp
The OCID of the compartment for which you want to manage announcement email preferences. (Specify the tenancy by providing the root compartment OCID.)
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-is\-unsubscribed [boolean]
.UNINDENT
.sp
A Boolean value to indicate whether the specified compartment chooses to not to receive informational announcements by email. (Manage preferences for receiving announcements by email by specifying the \fIpreferenceType\fP attribute instead.)
.INDENT 0.0
.TP
.B \-\-preferred\-time\-zone [text]
.UNINDENT
.sp
The time zone in which the user prefers to receive announcements. Specify the preference with a value that uses the IANA Time Zone Database format (x\-obmcs\-time\-zone). For example \- America/Los_Angeles
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export preference_type=<substitute\-value\-of\-preference_type> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcements\-preferences/create.html#cmdoption\-preference\-type
    export type=<substitute\-value\-of\-type> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcements\-preferences/create.html#cmdoption\-type

    oci announce announcements\-preferences create \-\-preference\-type $preference_type \-\-type $type
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBget\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Gets the current preferences of the tenancy regarding receiving announcements by email.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcements\-preferences get [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-preference\-id [text]
.UNINDENT
.sp
The ID of the preference.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export preference_id=<substitute\-value\-of\-preference_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcements\-preferences/get.html#cmdoption\-preference\-id

    oci announce announcements\-preferences get \-\-preference\-id $preference_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBlist\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Gets the current preferences of the tenancy regarding receiving announcements by email.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcements\-preferences list [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-compartment\-id, \-c [text]
.UNINDENT
.sp
The OCID of the compartment.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-all
.UNINDENT
.sp
Fetches all pages of results. If you provide this option, then you cannot provide the \fB\-\-limit\fP option.
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-limit [integer]
.UNINDENT
.sp
The maximum number of items to return in a paginated “List” call.
.INDENT 0.0
.TP
.B \-\-page [text]
.UNINDENT
.sp
The value of the \fIopc\-next\-page\fP response header from the previous “List” call.
.INDENT 0.0
.TP
.B \-\-page\-size [integer]
.UNINDENT
.sp
When fetching results, the number of results to fetch per call. Only valid when used with \fB\-\-all\fP or \fB\-\-limit\fP, and ignored otherwise.
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export compartment_id=<substitute\-value\-of\-compartment_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcements\-preferences/list.html#cmdoption\-compartment\-id

    oci announce announcements\-preferences list \-\-compartment\-id $compartment_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBupdate\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Updates the preferences of the tenancy regarding receiving announcements by email.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce announcements\-preferences update [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-preference\-id [text]
.UNINDENT
.sp
The ID of the preference.
.INDENT 0.0
.TP
.B \-\-preference\-type [text]
.UNINDENT
.sp
The string representing the user’s preference, whether to opt in to only required announcements, to opt in to all announcements, including informational announcements, or to opt out of all announcements.
.sp
Accepted values are:
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
OPT_IN_TENANT_AND_INFORMATIONAL_ANNOUNCEMENTS, OPT_IN_TENANT_ANNOUNCEMENTS, OPT_OUT_ALL_ANNOUNCEMENTS
.ft P
.fi
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-\-type [text]
.UNINDENT
.sp
The entity type, which specifies a model that either creates new announcement email preferences or updates existing preferences.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-compartment\-id, \-c [text]
.UNINDENT
.sp
The OCID of the compartment for which you want to manage announcement email preferences. (Specify the tenancy by providing the root compartment OCID.)
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-if\-match [text]
.UNINDENT
.sp
The locking version, used for optimistic concurrency control.
.INDENT 0.0
.TP
.B \-\-is\-unsubscribed [boolean]
.UNINDENT
.sp
A Boolean value to indicate whether the specified compartment chooses to not to receive informational announcements by email. (Manage preferences for receiving announcements by email by specifying the \fIpreferenceType\fP attribute instead.)
.INDENT 0.0
.TP
.B \-\-preferred\-time\-zone [text]
.UNINDENT
.sp
The time zone in which the user prefers to receive announcements. Specify the preference with a value that uses the IANA Time Zone Database format (x\-obmcs\-time\-zone). For example \- America/Los_Angeles
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export preference_id=<substitute\-value\-of\-preference_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcements\-preferences/update.html#cmdoption\-preference\-id
    export preference_type=<substitute\-value\-of\-preference_type> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcements\-preferences/update.html#cmdoption\-preference\-type
    export type=<substitute\-value\-of\-type> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/announcements\-preferences/update.html#cmdoption\-type

    oci announce announcements\-preferences update \-\-preference\-id $preference_id \-\-preference\-type $preference_type \-\-type $type
.ft P
.fi
.UNINDENT
.UNINDENT
.SS user\-status
.SS Description
.sp
An announcement’s status regarding whether it has been acknowledged by a user.
.SS Available Commands
.INDENT 0.0
.IP \(bu 2
get
.IP \(bu 2
update
.UNINDENT
.SS \fBget\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Gets information about whether a specific announcement was acknowledged by a user.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce user\-status get [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-id [text]
.UNINDENT
.sp
The OCID of the announcement.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export announcement_id=<substitute\-value\-of\-announcement_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/user\-status/get.html#cmdoption\-announcement\-id

    oci announce user\-status get \-\-announcement\-id $announcement_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SS \fBupdate\fP
.INDENT 0.0
.IP \(bu 2
\fI\%Description\fP
.IP \(bu 2
\fI\%Usage\fP
.IP \(bu 2
\fI\%Required Parameters\fP
.IP \(bu 2
\fI\%Optional Parameters\fP
.IP \(bu 2
\fI\%Global Parameters\fP
.IP \(bu 2
\fI\%Example using required parameter\fP
.UNINDENT
.SS Description
.sp
Updates the status of the specified announcement with regard to whether it has been marked as read.
.sp
This call is subject to an Announcements limit that applies to the total number of requests across all read or write operations. Announcements might throttle this call to reject an otherwise valid request when the total rate of operations exceeds 20 requests per second for a given user. The service might also throttle this call to reject an otherwise valid request when the total rate of operations exceeds 100 requests per second for a given tenancy.
.SS Usage
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
oci announce user\-status update [OPTIONS]
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Required Parameters
.INDENT 0.0
.TP
.B \-\-announcement\-id [text]
.UNINDENT
.sp
The OCID of the announcement.
.INDENT 0.0
.TP
.B \-\-user\-id [text]
.UNINDENT
.sp
The OCID of the user that this status is associated with.
.INDENT 0.0
.TP
.B \-\-user\-status\-announcement\-id [text]
.UNINDENT
.sp
The OCID of the announcement that this status is associated with.
.SS Optional Parameters
.INDENT 0.0
.TP
.B \-\-from\-json [text]
.UNINDENT
.sp
Provide input to this command as a JSON document from a file using the \fI\%file://path\-to/file\fP syntax.
.sp
The \fB\-\-generate\-full\-command\-json\-input\fP option can be used to generate a sample json file to be used with this command option. The key names are pre\-populated and match the command option names (converted to camelCase format, e.g. compartment\-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.
.sp
Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.
.sp
For examples on usage of this option, please see our “using CLI with advanced JSON options” link: \fI\%https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions\fP
.INDENT 0.0
.TP
.B \-\-if\-match [text]
.UNINDENT
.sp
The locking version, used for optimistic concurrency control.
.INDENT 0.0
.TP
.B \-\-time\-acknowledged [datetime]
.UNINDENT
.sp
The date and time the announcement was acknowledged, expressed in \fI\%RFC 3339\fP <\fBhttps://tools.ietf.org/html/rfc3339\fP> timestamp format. Example: \fI2019\-01\-01T17:43:01.389+0000\fP
.INDENT 0.0
.INDENT 3.5
The following datetime formats are supported:
.UNINDENT
.UNINDENT
.SS UTC with microseconds
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
Format: YYYY\-MM\-DDTHH:mm:ss.ssssssTZD
Example: 2017\-09\-15T20:30:00.123456Z

UTC with milliseconds
***********************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ss.sssTZD
    Example: 2017\-09\-15T20:30:00.123Z

UTC without milliseconds
**************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ssTZD
    Example: 2017\-09\-15T20:30:00Z

UTC with minute precision
**************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mmTZD
    Example: 2017\-09\-15T20:30Z
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Timezone with microseconds
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
Format: YYYY\-MM\-DDTHH:mm:ssTZD
Example: 2017\-09\-15T12:30:00.456789\-08:00, 2017\-09\-15T12:30:00.456789\-0800

Timezone with milliseconds
***************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ssTZD
    Example: 2017\-09\-15T12:30:00.456\-08:00, 2017\-09\-15T12:30:00.456\-0800

Timezone without milliseconds
*******************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mm:ssTZD
    Example: 2017\-09\-15T12:30:00\-08:00, 2017\-09\-15T12:30:00\-0800

Timezone with minute precision
*******************************
\&.. code::

    Format: YYYY\-MM\-DDTHH:mmTZD
    Example: 2017\-09\-15T12:30\-08:00, 2017\-09\-15T12:30\-0800

Short date and time
********************
The timezone for this date and time will be taken as UTC (Needs to be surrounded by single or double quotes)

\&.. code::

    Format: \(aqYYYY\-MM\-DD HH:mm\(aq or "YYYY\-MM\-DD HH:mm"
    Example: \(aq2017\-09\-15 17:25\(aq

Date Only
**********
This date will be taken as midnight UTC of that day

\&.. code::

    Format: YYYY\-MM\-DD
    Example: 2017\-09\-15

Epoch seconds
**************
\&.. code::

    Example: 1412195400
.ft P
.fi
.UNINDENT
.UNINDENT
.SS Global Parameters
.sp
Use \fBoci \-\-help\fP for help on global parameters.
.sp
\fB\-\-auth\-purpose\fP, \fB\-\-auth\fP, \fB\-\-cert\-bundle\fP, \fB\-\-cli\-auto\-prompt\fP, \fB\-\-cli\-rc\-file\fP, \fB\-\-config\-file\fP, \fB\-\-connection\-timeout\fP, \fB\-\-debug\fP, \fB\-\-defaults\-file\fP, \fB\-\-endpoint\fP, \fB\-\-generate\-full\-command\-json\-input\fP, \fB\-\-generate\-param\-json\-input\fP, \fB\-\-help\fP, \fB\-\-latest\-version\fP, \fB\-\-max\-retries\fP, \fB\-\-no\-retry\fP, \fB\-\-opc\-client\-request\-id\fP, \fB\-\-opc\-request\-id\fP, \fB\-\-output\fP, \fB\-\-profile\fP, \fB\-\-proxy\fP, \fB\-\-query\fP, \fB\-\-raw\-output\fP, \fB\-\-read\-timeout\fP, \fB\-\-realm\-specific\-endpoint\fP, \fB\-\-region\fP, \fB\-\-release\-info\fP, \fB\-\-request\-id\fP, \fB\-\-version\fP, \fB\-?\fP, \fB\-d\fP, \fB\-h\fP, \fB\-i\fP, \fB\-v\fP
.SS Example using required parameter
.sp
Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.
.sp
Please note this sample will only work in the POSIX\-compliant bash\-like shell. You need to set up \fI\%the OCI configuration\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile\fP> and \fI\%appropriate security policies\fP <\fBhttps://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm\fP> before trying the examples.
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
    export announcement_id=<substitute\-value\-of\-announcement_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/user\-status/update.html#cmdoption\-announcement\-id
    export user_id=<substitute\-value\-of\-user_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/user\-status/update.html#cmdoption\-user\-id
    export user_status_announcement_id=<substitute\-value\-of\-user_status_announcement_id> # https://docs.cloud.oracle.com/en\-us/iaas/tools/oci\-cli/latest/oci_cli_docs/cmdref/announce/user\-status/update.html#cmdoption\-user\-status\-announcement\-id

    oci announce user\-status update \-\-announcement\-id $announcement_id \-\-user\-id $user_id \-\-user\-status\-announcement\-id $user_status_announcement_id
.ft P
.fi
.UNINDENT
.UNINDENT
.SH AUTHOR
Oracle
.SH COPYRIGHT
2016, 2024, Oracle
.\" Generated by docutils manpage writer.
.
